--- /dev/null
+#!/bin/bash
+
+##################################################################
+# START_IP_HEADER #
+# #
+# Written by Francois Fleuret #
+# Contact <francois.fleuret@idiap.ch> for comments & bug reports #
+# #
+# END_IP_HEADER #
+##################################################################
+
+set -e
+
+hostname=$1
+remotepath=$2
+
+localpath=/tmp/sshfs/${hostname}/${remotepath}
+
+if [[ $(mount | grep ${hostname}:${remotepath}) ]]; then
+ fusermount -u ${localpath}
+ echo "${localpath} is unmounted."
+else
+ mkdir -p ${localpath}
+ sshfs -o idmap=user -C ${hostname}:${remotepath} ${localpath}
+ echo "${localpath} is mounted."
+fi